Summary:       An encoding detector library ported from Mozilla
Name:          uchardet
Version:       0.0.8
Release:       2%{?dist}
License:       MPLv1.1 or GPLv2+ or LGPLv2+
URL:           https://www.freedesktop.org/wiki/Software/%{name}
Source0:       https://www.freedesktop.org/software/%{name}/releases/%{name}-%{version}.tar.xz

BuildRequires:  gcc gcc-c++ cmake

%description
Uchardet is an encoding detector library, which takes a sequence
of bytes in an unknown character encoding without any additional
information, and attempts to determine the encoding of the text.
Returned encoding names are iconv-compatible.

%package        devel
Summary:        Development files for uchardet
Requires:       %{name} = %{version}-%{release}

%description    devel
This package provides headers and shared libraries for developing uchardet.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%cmake \
  -DCMAKE_INSTALL_LIBDIR=%{_libdir} \
  -DBUILD_STATIC=OFF
%cmake_build

%install
%cmake_install

%check
pushd %{_vpath_builddir}
ctest -VV
popd

%files
%license COPYING
%doc AUTHORS
%{_bindir}/%{name}
%{_libdir}/lib%{name}.so.*
%{_mandir}/man1/%{name}.1*

%files devel
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/cmake/uchardet/*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.0.8-2
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 23 2023 wynnfeng <wynnfeng@tencent.com> - 0.0.8-1
- upgrade to 0.0.8

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.0.6-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.0.6-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Sep 14 2022 Shuo Wang <abushwang@tencent.com> - 0.0.6-1
- initial build
